Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Private Attributes | List of all members
ezpExtension Class Reference

## Public Member Functions
| getLoadingOrder ()
| getInfo ()

## Static Public Member Functions
static | getInstance ( $name)

## Public Attributes
| $name

## Protected Member Functions
| __construct ( $name)

## Static Private Attributes
static | $instances = array()

## Detailed Description

Object representing an Exponential extension

Definition at line 15 of file ezpextension.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpExtension::__construct | ( |  | $name | ) |
| protected

ezpExtension constructor.

Parameters

  string | $name | Name of the extension

Definition at line 31 of file ezpextension.php.

References $name.

## Member Function Documentation

## ◆ getInfo()

ezpExtension::getInfo | ( |  | ) |

Returns the extension informations Uses extension.xml by default, then tries ezinfo.php for backwards compatibility

Since
  4.4

Returns
  array|null array of extension informations, or null if no source exists

Definition at line 108 of file ezpextension.php.

References $field, $index, $result, eZExtension\baseDirectory(), and eZDebug\writeError().

## ◆ getInstance()

static ezpExtension::getInstance | ( |  | $name | ) |
| static

ezpExtension constructor.

See also
  $instances

Parameters

  string | $name | Name of the extension

Returns
  ezpExtension

Definition at line 44 of file ezpextension.php.

References $name.

Referenced by eZExtension\extensionInfo(), and eZExtension\extensionOrdering().

## ◆ getLoadingOrder()

ezpExtension::getLoadingOrder | ( |  | ) |

Returns the loading order informations from extension.xml

Returns
  array array( before => array( a, b ), after => array( c, d ) ) or an empty array if not available

Definition at line 57 of file ezpextension.php.

References eZExtension\baseDirectory(), and eZDebug\writeError().

## Member Data Documentation

## ◆ $instances

ezpExtension::$instances = array()
| static private

Array of multiton instances (Multiton pattern)

See also
  getInstance

Definition at line 24 of file ezpextension.php.

## ◆ $name

ezpExtension::$name

Definition at line 17 of file ezpextension.php.

Referenced by __construct(), and getInstance().

The documentation for this class was generated from the following file:

- ezpextension.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.